<?xml version="1.0" encoding="UTF-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog/1.9"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog/1.9
                      http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-1.9.xsd">

 	<changeSet id="0001" author="e.makarova">
        <comment>insert admin into "security".user_account</comment>
        <sql>
			INSERT INTO "security".user_account (user_account_id,email,first_name,last_name,middle_name,created,updated,"locked",org_unit_id,username,phone,email_confirmed,user_source,source_name) VALUES
				('3c6fbbee-3e60-4ba6-8da6-815051d00478',NULL,'Администратор системы','Администратор системы',NULL,'2025-02-06 11:31:21+03','2025-02-06 11:31:21+03',false,'20f455d2-2908-4a86-8ab5-2e500f2f5544','admin',NULL,true,'LOCAL',NULL) on conflict do nothing;
		</sql>
    </changeSet>
	
	<changeSet id="0002" author="e.makarova">
        <comment>insert values into "security".simple_credentials</comment>
        <sql>
			INSERT INTO "security".simple_credentials (user_account_id,"password",password_expires,password_updated) VALUES
				('3c6fbbee-3e60-4ba6-8da6-815051d00478','$2a$11$WWSPSJv9g3RF.Efq9SqJWOH1emO71j86q8MFjxm3jByRIf62WTs2W',NULL,'2025-02-11 13:21:09') on conflict do nothing;
		</sql>
    </changeSet>
	
	<changeSet id="0003" author="e.makarova">
        <comment>insert values into "security".link_user_account_user_group</comment>
        <sql>
			INSERT INTO "security".link_user_account_user_group (link_user_account_user_group_id,user_account_id,user_group_id,created) VALUES
				('5b2270e9-eada-4a69-84e5-e083122cb25f','3c6fbbee-3e60-4ba6-8da6-815051d00478','84c5c1e2-081e-45e1-a874-d6bb232e57ad','2025-02-06 11:31:26.326804') on conflict do nothing;
			INSERT INTO "security".link_user_account_user_group (link_user_account_user_group_id,user_account_id,user_group_id,created) VALUES
				('b8bea276-5fcf-4535-9dab-df70805fc319','3c6fbbee-3e60-4ba6-8da6-815051d00478','62cd890b-99f7-47a8-be60-e330186b17a0','2025-02-06 11:31:26.326804') on conflict do nothing;
		</sql>
    </changeSet>
	
	
</databaseChangeLog>